Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleRuleSetBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          com.ibm.able.rules.AbleRuleSetBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

public class AbleRuleSetBeanInfo
extends java.beans.SimpleBeanInfo

Bean information for an Able ruleset.

Field Summary
`java.lang.String` | `iconColor16x16Filename`
`java.lang.String` | `iconColor32x32Filename`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`AbleRuleSetBeanInfo()` Create a new AbleRuleSetBeanInfo object.

Method Summary
`java.beans.BeanInfo[]` | `getAdditionalBeanInfo()` Retrieve bean info for the parent bean.
`java.beans.BeanDescriptor` | `getBeanDescriptor()` Retrieve a descriptor for this bean.
`java.awt.Image` | `getIcon(int iconKind)` Retrieve the icon for the bean.

Methods inherited from class java.beans.SimpleBeanInfo
`getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getMethodDescriptors, getPropertyDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iconColor16x16Filename

    public java.lang.String iconColor16x16Filename

### iconColor32x32Filename

    public java.lang.String iconColor32x32Filename

Constructor Detail

### AbleRuleSetBeanInfo

    public AbleRuleSetBeanInfo()

  Create a new AbleRuleSetBeanInfo object.

Method Detail

### getBeanDescriptor

    public java.beans.BeanDescriptor getBeanDescriptor()

  Retrieve a descriptor for this bean.

  Returns:
    A bean descriptor which specifies a customizer for this bean class.

### getIcon

    public java.awt.Image getIcon(int iconKind)

  Retrieve the icon for the bean.

  Parameters:
    `iconKind` - Must be a "BeanInfo" constant, specifying the kind of icon desired; for example, ICON_MONO_16x16 or ICON_COLOR_32x32.

  Returns:
    An icon of the kind requested. If an icon of the specified kind doesn't exist for this bean, null is returned.

### getAdditionalBeanInfo

    public java.beans.BeanInfo[] getAdditionalBeanInfo()

  Retrieve bean info for the parent bean.

  Returns:
    A bean info array from the parent bean.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005